import 'package:flutter/material.dart';
import 'package:magnet/magnet.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Home(),
    );
  }
}

class Home extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: SafeArea(
        child: Container(
          width: MediaQuery.of(context).size.width,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              MagnetCard.makeDashboardCard(
                title: "Calendar",
              ),
              SizedBox(height: 20),
              MagnetCard.makeCalendarCard(
                date: 18.toString(),
                day: "Tue",
              ),
              SizedBox(height: 20),
              MagnetPrimaryButton(
                  title: "Login",
                  onPressed: () {
                    print("primary button tapped");
                  }),
              SizedBox(height: 20),
              MagnetSecondaryButton(
                  title: "Secondary",
                  onPressed: () {
                    print("secondary button tapped");
                  }),
            ],
          ),
        ),
      ),
    );
  }
}
