part of magnet;

class MagnetPrimaryButton extends StatefulWidget {
  final String title;
  final Function onPressed;
  final Color backgroundColor;
  final double height;
  final EdgeInsets padding;

  const MagnetPrimaryButton(
      {Key key,
      this.title,
      this.onPressed,
      this.height,
      this.backgroundColor = const Color(0xffff5c49),
      this.padding = const EdgeInsets.all(15)})
      : super(key: key);

  @override
  _MagnetPrimaryButtonState createState() => _MagnetPrimaryButtonState();
}

class _MagnetPrimaryButtonState extends State<MagnetPrimaryButton> {
  bool pressed = false;
  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTapDown: (tapDownDetails) {
        setState(() {
          pressed = true;
        });
      },
      onTapUp: (tapDownDetails) {
        setState(() {
          pressed = false;
        });
      },
      onTap: widget.onPressed,
      child: Container(
          padding: widget.padding,
          height: widget.height,
          decoration: BoxDecoration(
              color: widget.backgroundColor,
              borderRadius: BorderRadius.circular(20),
              boxShadow: pressed
                  ? null
                  : [
                      BoxShadow(
                          color: Color(0x26000000),
                          offset: Offset(3, 3),
                          blurRadius: 6.0)
                    ]),
          child: Center(child: Text(widget.title))),
    );
  }
}
