part of magnet;

class MagnetSecondaryButton extends StatefulWidget {
  final String title;
  final Function onPressed;
  final Color backgroundColor;
  final double height;
  final EdgeInsets padding;
  final double width;

  const MagnetSecondaryButton(
      {Key key,
      this.title,
      this.onPressed,
      this.height,
      this.backgroundColor = Colors.white,
      this.padding = const EdgeInsets.all(11),
      this.width})
      : super(key: key);

  @override
  _MagnetSecondaryButtonState createState() => _MagnetSecondaryButtonState();
}

class _MagnetSecondaryButtonState extends State<MagnetSecondaryButton> {
  bool pressed = false;
  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTapDown: (tapDownDetails) {
        setState(() {
          pressed = true;
        });
      },
      onTapUp: (tapDownDetails) {
        setState(() {
          pressed = false;
        });
      },
      onTap: widget.onPressed,
      child: Container(
          padding: widget.padding,
          height: widget.height,
          width: widget.width,
          decoration: BoxDecoration(
            color: pressed ? Color(0xfff2f5fa) : widget.backgroundColor,
            border: pressed ? null : Border.all(color: Color(0xff0068ff)),
            borderRadius: BorderRadius.circular(20),
          ),
          child: Center(child: Wrap(children: [Text(widget.title)]))),
    );
  }
}
