part of magnet;

class MagnetCard {
  static makeDashboardCard({
    String imagePath,
    @required String title,
    double height = 100,
    double imageHeight = 40,
    double width,
    EdgeInsets padding = const EdgeInsets.only(left: 15, top: 14, right: 15),
    Color backgroundColor = const Color(0xffffffff),
  }) {
    assert(title != null, 'Title is null');

    return Container(
      height: height,
      width: width,
      padding: padding,
      decoration: BoxDecoration(
        color: backgroundColor,
        borderRadius: BorderRadius.circular(20),
        boxShadow: [
          BoxShadow(
              color: Color(0x26000000), offset: Offset(0, 3), blurRadius: 6.0)
        ],
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          if (imagePath != null) Image.asset(imagePath, height: imageHeight),
          Padding(
            padding: const EdgeInsets.only(top: 10),
            child: Wrap(
              children: [
                Text(title),
              ],
            ),
          ),
        ],
      ),
    );
  }

  static makeCalendarCard({
    @required String date,
    @required String day,
    double height = 85,
    Color backgroundColor = const Color(0xfff7f7fa),
    Color textColor = Colors.black,
    EdgeInsets padding =
        const EdgeInsets.symmetric(horizontal: 20, vertical: 3),
  }) {
    assert(date != null, 'Date is null');
    assert(day != null, 'Day is null');

    return Container(
      height: height,
      width: height,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(15),
        color: backgroundColor,
      ),
      child: Padding(
        padding: padding,
        child: Column(
          children: [
            Wrap(
              children: [
                Text(date),
              ],
            ),
            Wrap(
              children: [
                Text(day),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
